Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesysapp.net/api/v1.2/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"b349e2bd-74e4-4953-9f41-f28294bf29ea","url":null,"userId":"1c39bb40-e7ff-47f8-99fb-9eb6457bd415","userUrl":null,"parentCommentId":"4490ca96-976a-433a-86bd-d929507f5a03","parentCommentUrl":null,"creationDateTime":"2026-04-30T17:42:08.5913153+00:00","lastModifiedDateTime":"2026-04-30T21:42:08.5913153+00:00","medias":[{"id":"891f7216-39a1-47d2-82e1-d08bbf5aa96d","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"b6c58153-eb12-47c8-a5e4-7c7e076967a4","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"4b065e57-40d0-45ab-b107-321b3b57b48e","url":null,"userId":"502b74e8-ded3-44bd-8eaa-16085d114abf","userUrl":null,"parentCommentId":"dd14c28e-02a2-429c-911b-cd9bfdfb1f29","parentCommentUrl":null,"creationDateTime":"2026-04-30T16:42:08.5913153+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"1da51fd9-0923-4a7f-8d79-dfdab304e75a","url":null},{"type":"Department","name":null,"id":"281faad5-e0c3-45a2-92e9-141d23eda89f","url":null},{"type":"User group","name":null,"id":"77a5bfd3-e267-4ad6-ad50-01decc4e181f","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string